update.bas {BAS} | R Documentation

## Update BAS object using a new prior

### Description

Update a BMA object using a new prior distribution on the coefficients.

### Usage

    ## S3 method for class 'bas'
    update(object, newprior, alpha = NULL, ...)

### Arguments

`object` | BMA object to update
`newprior` | Update posterior model probabilities, probne0, shrinkage, logmarg, etc, using prior based on newprior. See `bas` for available methods
`alpha` | optional new value of hyperparameter in prior for method
`...` | optional arguments

### Details

Recomputes the marginal likelihoods for the new methods for models already sampled in current object.

### Value

A new object of class BMA

### Author(s)

Merlise Clyde clyde@stat.duke.edu

### References

Clyde, M. Ghosh, J. and Littman, M. (2010) Bayesian Adaptive Sampling for Variable Selection and Model Averaging. Journal of Computational Graphics and Statistics. 20:80-101
http://dx.doi.org/10.1198/jcgs.2010.09049

### See Also

`bas` for available methods and choices of alpha

Other bas methods: `BAS`, `bas.lm`, `coef.bas`, `confint.coef.bas`, `confint.pred.bas`, `diagnostics`, `fitted.bas`, `force.heredity.bas`, `image.bas`, `predict.basglm`, `predict.bas`, `summary.bas`, `variable.names.pred.bas`

### Examples

    ## Not run:
    library(MASS)
    data(UScrime)
    UScrime[,-2] <- log(UScrime[,-2])
    crime.bic <-  bas.lm(y ~ ., data=UScrime, n.models=2^15, prior="BIC",initprobs= "eplogp")
    crime.ebg <- update(crime.bic, newprior="EB-global")
    crime.zs <- update(crime.bic, newprior="ZS-null")

    ## End(Not run)

[Package BAS version 1.5.3 Index]